Package org.bukkit.event.entity

# Class AreaEffectCloudApplyEvent

java.lang.Object
org.bukkit.event.Event
org.bukkit.event.entity.EntityEvent
org.bukkit.event.entity.AreaEffectCloudApplyEvent

All Implemented Interfaces:
  `Cancellable`

public class AreaEffectCloudApplyEvent extends EntityEvent implements Cancellable
Called when a lingering potion applies it's effects. Happens once every 5 ticks

## Nested Class Summary

## Nested classes/interfaces inherited from class org.bukkit.event.Event

`Event.Result`

## Field Summary

### Fields inherited from class org.bukkit.event.entity.EntityEvent

`entity`

## Constructor Summary

Constructors
Constructor
Description
`AreaEffectCloudApplyEvent(@NotNull AreaEffectCloud entity, @NotNull List<LivingEntity> affectedEntities)`

## Method Summary

Modifier and Type
Method
Description
`@NotNull List<LivingEntity>`
`getAffectedEntities()`
Retrieves a mutable list of the effected entities
`@NotNull AreaEffectCloud`
`getEntity()`
Returns the Entity involved in this event
`static @NotNull HandlerList`
`getHandlerList()`
`@NotNull HandlerList`
`getHandlers()`
`boolean`
`isCancelled()`
Gets the cancellation state of this event.
`void`
`setCancelled(boolean cancel)`
Sets the cancellation state of this event.

### Methods inherited from class org.bukkit.event.entity.EntityEvent

`getEntityType`

### Methods inherited from class org.bukkit.event.Event

`callEvent, getEventName, isAsynchronous`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### AreaEffectCloudApplyEvent

public AreaEffectCloudApplyEvent(@NotNull @NotNull AreaEffectCloud entity, @NotNull @NotNull List<LivingEntity> affectedEntities)

## Method Details

### isCancelled

public boolean isCancelled()
Description copied from interface: `Cancellable`
Gets the cancellation state of this event. A cancelled event will not be executed in the server, but will still pass to other plugins

Specified by:
  `isCancelled` in interface `Cancellable`
Returns:
  true if this event is cancelled

### setCancelled

public void setCancelled(boolean cancel)
Description copied from interface: `Cancellable`
Sets the cancellation state of this event. A cancelled event will not be executed in the server, but will still pass to other plugins.

Specified by:
  `setCancelled` in interface `Cancellable`
Parameters:
  `cancel` - true if you wish to cancel this event

### getEntity

@NotNull public @NotNull AreaEffectCloud getEntity()
Description copied from class: `EntityEvent`
Returns the Entity involved in this event

Overrides:
  `getEntity` in class `EntityEvent`
Returns:
  Entity who is involved in this event

### getAffectedEntities

@NotNull public @NotNull List<LivingEntity> getAffectedEntities()
Retrieves a mutable list of the effected entities

It is important to note that not every entity in this list is guaranteed to be effected. The cloud may die during the application of its effects due to the depletion of `AreaEffectCloud.getDurationOnUse()` or `AreaEffectCloud.getRadiusOnUse()`

Returns:
  the affected entity list

### getHandlers

@NotNull public @NotNull HandlerList getHandlers()

Specified by:
  `getHandlers` in class `Event`

### getHandlerList

@NotNull public static @NotNull HandlerList getHandlerList()